a.added_to_cart.wc-forward {
    display: none;
}

:where(.editor-styles-wrapper) .woocommerce-product-gallery {
    opacity: 1 !important;
}
.woocommerce-product-gallery a {
    display: block;
}
.woocommerce-product-gallery img {
    width: 100%;
    height: auto;
}

.iu-woocommerce-add-to-cart {
    display: flex;
    align-items: center;
    gap: var(--iu-group-gap);
    margin-top: 1.8rem;
}

:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity {
    border: 2px solid var(--wp--preset--color--light-gray);
    display: inline-flex;
}
:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity .iu-woocommerce-quantity-control {
    padding: 1rem;
    user-select: none;
    cursor: pointer;
}
:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity .iu-woocommerce-quantity-control:hover {
    background: var(--wp--preset--color--light-gray);
    text-decoration: none;
}
:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity input::-webkit-outer-spin-button, .quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity input {
    -moz-appearance: textfield;
    border: none;
    text-align: center;
    width: 4.5rem;
    padding: 1rem;
    border-left: 2px solid var(--wp--preset--color--light-gray);
    border-right: 2px solid var(--wp--preset--color--light-gray);
    line-height: 1;
}
:where(.iu-woocommerce-add-to-cart, td.product-quantity) .quantity input:focus {
    outline-color: var(--wp--preset--color--green);
}
.iu-woocommerce-add-to-cart .iu-button.loading, .iu-woocommerce-add-to-cart .iu-button.loading:hover {
    background-color: var(--wp--preset--color--light-gray);
    border-color: var(--wp--preset--color--light-gray);
    box-shadow: none;
    pointer-events: none;
}

.woocommerce > .products {
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: calc(var(--iu-column-gap) * 2) var(--iu-column-gap);
}
.woocommerce > .products > .product {
    display: block;
}
.woocommerce > .products.columns-2 > .product {
    width: calc((100% - (var(--iu-column-gap))) / 2);
}
.woocommerce > .products.columns-3 > .product {
    width: calc((100% - (var(--iu-column-gap) * 2)) / 3);
}
.woocommerce > .products.columns-4 > .product {
    width: calc((100% - (var(--iu-column-gap) * 3)) / 4);
}
.woocommerce > .products > .product img {
    width: 100%;
    height: auto;
} 
.woocommerce-loop-product__title {
    font-size: var(--iu-heading-3-font-size);
    font-weight: 500;
    margin: .3rem 0 .6rem;
}
.woocommerce-loop-product__title:hover {
    color: var(--wp--preset--color--green);
}
.woocommerce > .products > .product .price {
    font-weight: 400;
    color: var(--iu-text-color);
}
.woocommerce > .products > .product .iu-woocommerce-add-to-cart {
    margin-top: 1rem;
}
.woocommerce > .products.columns-2 > .product .woocommerce-loop-product__title,
.woocommerce > .products.columns-4 > .product .woocommerce-loop-product__title {
    font-size: 1.2rem;
}
.woocommerce > .products.columns-2 > .product .iu-woocommerce-add-to-cart,
.woocommerce > .products.columns-4 > .product .iu-woocommerce-add-to-cart {
    gap: .7rem;
}
.woocommerce > .products.columns-2 > .product .iu-button,
.woocommerce > .products.columns-4 > .product .iu-button {
    font-size: .9em;
    padding: 0.6rem 1.7rem;
}
.woocommerce > .products.columns-2 > .product .iu-woocommerce-quantity-control,
.woocommerce > .products.columns-4 > .product .iu-woocommerce-quantity-control {
    padding: 0.6rem;
}
.woocommerce > .products.columns-2 > .product .quantity input[type=number],
.woocommerce > .products.columns-4 > .product .quantity input[type=number] {
    width: 3rem;
    padding: 0.6rem;
}

.iu-woocommerce-mini-cart {
    position: relative;
}
.iu-woocommerce-mini-cart svg {
    width: 1.8em;
    height: 1.8em;
}
.iu-woocommerce-mini-cart > a.iu-woocommerce-mini-cart__trigger {
    display: inline-block;
    color: var(--wp--preset--color--dark-gray);
}
.iu-woocommerce-mini-cart__badge {
    background: var(--wp--preset--color--green);
    color: var(--wp--preset--color--white);
    border-radius: 50%;
    position: absolute;
    top: -.39rem;
    right: 0;
    padding: .21rem .42rem;
    font-size: .66em;
    transform: translateX(50%);
    min-width: 1.2rem;
    text-align: center;
    display: inline-block;
}
.iu-woocommerce-mini-cart__badge:empty {
    display: none;
}
.iu-woocommerce-mini-cart__dropdown {
    position: absolute;
    top: calc(100% + .6rem);
    right: 100vw;
    visibility: hidden;
    background: var(--wp--preset--color--white);
    border: 2px solid var(--wp--preset--color--light-gray);
    max-height: 66vh;
    width: 24rem;
    padding: 1rem 1rem 0 1rem;
    box-shadow: 0 .3rem 1rem rgba(0,0,0,.05);
    opacity: 0;
    transform: translateY(1rem);
    transition: opacity .15s, transform .15s;
    overflow-y: auto;
}
.iu-woocommerce-mini-cart__dropdown.open {
    right: -1rem;
    opacity: 1;
    transform: none;
    visibility: visible;
}
.iu-woocommerce-mini-cart__dropdown h4 {
    margin: 0 0 1.5rem 0;
}
.woocommerce-mini-cart.cart_list {
    padding: 0;
    margin: 0;
}
.woocommerce-mini-cart-item {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: var(--iu-group-gap);
    padding-bottom: 1rem;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    margin-bottom: 1rem;
}
.woocommerce-mini-cart-item a:not(.remove) {
    display: flex;
    gap: var(--iu-group-gap);
}
.woocommerce-mini-cart-item .product_title {
    display: block;
    color: var(--wp--preset--color--primary);
}
.woocommerce-mini-cart-item .product_title:hover {
    color: var(--wp--preset--color--green);
}
.woocommerce-mini-cart-item .quantity {
    font-weight: 400;
    margin-top: .3rem;
    display: inline-block;
    color: var(--wp--preset--color--dark-gray);
}
.woocommerce-mini-cart-item > a > span {
    flex: 1;
}
.woocommerce-mini-cart-item img {
    width: 6rem;
    height: auto;
}
.woocommerce-mini-cart-item .blockUI.blockOverlay {
    background: rgba(255,255,255,.9) !important;
}
.woocommerce-mini-cart__total {
    text-align: right;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding-bottom: 1rem;
    margin-bottom: 1rem;
}
.woocommerce-mini-cart__total strong {
    color: var(--wp--preset--color--primary);
}
.woocommerce-mini-cart__buttons {
    display: flex;
    justify-content: center;
}
.woocommerce-mini-cart__buttons .button {
    text-align: center;
    padding-top: .6rem;
    padding-bottom: .6rem;
}
.woocommerce-mini-cart__empty-message {
    text-align: center;
    margin-bottom: 1rem;
}

.iu-woocommerce-account-menu a:not(.iu-button) {
    display: inline-block;
    color: var(--wp--preset--color--dark-gray);
}
.iu-woocommerce-account-menu svg {
    width: 1.8rem;
    height: 1.8rem;
}

.product-details .product_title {
    margin: 1.8rem 0;
    font-size: 2.7rem;
}

.woocommerce-product-gallery .flex-control-nav {
    display: flex;
    gap: 1rem;
    padding: 0;
}
.woocommerce-product-gallery .flex-control-nav li {
    display: block;
    width: calc((100% - 3rem) / 4);
    cursor: pointer;
}
.woocommerce-product-gallery .flex-control-nav li img {
    opacity: .7;
}
.woocommerce-product-gallery .flex-control-nav li img.flex-active {
    opacity: 1;
}

.iu-woocommerce-price {
    font-family: var(--iu-heading-font-family);
    font-size: var(--iu-heading-3-font-size);
    font-weight: 700;
    text-transform: uppercase;
    margin: 1rem 0;
    line-height: 1;
}
.product-details .iu-woocommerce-price {
    font-size: var(--iu-heading-2-font-size);
}
.iu-woocommerce-price-details {
    display: block;
}
.product-details .price {
    margin-top: 1.8rem;
    margin-bottom: -1rem;
}

.stock {
    font-family: var(--iu-heading-font-family);
    font-size: var(--iu-heading-5-font-size);
    font-weight: 500;
    text-transform: uppercase;
    margin-bottom: 1.8rem;
}
.stock.out-of-stock {
    color: orange;
}
.stock.in-stock {
    color: green;
}

.woocommerce-product-details__short-description .toggle {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    display: inline-block;
    padding-left: .3rem;
    cursor: pointer;
}
.woocommerce-product-details__short-description .toggle:hover {
    color: var(--wp--preset--color--green);
}

.screen-reader-text {
    display: none !important;
}

.cart .woocommerce {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 2.1rem;
    margin-bottom: 4.5rem;
}
.woocommerce-notices-wrapper {
    width: 100%;
}
.woocommerce-notices-wrapper .woocommerce-message {
    padding: 1.2rem 1.8rem;
    background: #ebf4f6;
}
.woocommerce-notices-wrapper .woocommerce-error {
    padding: 1.2rem 1.8rem;
    background: #ebf4f6;
}
.woocommerce-notices-wrapper .woocommerce-error li {
    display: block;
}
.woocommerce-cart-form {
    flex: 2;
    display: inline-block;
}
.woocommerce-cart-form table {
    width: 100%;
}
.woocommerce-cart-form table th {
    font-family: var(--iu-heading-font-family);
    font-weight: 500;
    font-size: var(--iu-heading-4-font-size);
    text-transform: uppercase;
    color: var(--wp--preset--color--primary);
    padding: 1rem 0;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    text-align: left;
}
.woocommerce-cart-form .cart_item td {
    padding: .9rem 0;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
}
.woocommerce-cart-form .cart_item .product-remove {
    padding-left: .9rem;
    padding-right: .9rem;
}
.woocommerce-cart-form .product-thumbnail img {
    width: 6rem;
    height: 6rem;
}
.woocommerce-cart-form .update-cart-button {
    margin-top: 1rem;
    cursor: pointer;
}
.woocommerce-cart-form .update-cart-button[disabled] {
    background: var(--wp--preset--color--light-gray) !important;
    border-color: var(--wp--preset--color--light-gray) !important;
    opacity: 1;
    box-shadow: none;
}
.woocommerce-cart-form .cross-sells {
    margin-top: 4.5rem;
}
.woocommerce-cart-form .cross-sells .products {
    padding: 0;
    margin: 0;
}
.woocommerce-cart-form .cross-sells .products .product {
    display: flex;
    gap: 1.2rem;
    padding: 1rem 0;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
}
.woocommerce-cart-form .cross-sells .products .product:first-child {
    border-top: 1px dashed var(--wp--preset--color--primary);
}
.woocommerce-cart-form .cross-sells .products .product > a {
    width: 9rem;
}
.woocommerce-cart-form .cross-sells .products .product > a img {
    width: 9rem;
    height: 9rem;
}
.woocommerce-cart-form .cross-sells .products .product-details {
    flex: 1;
}
.woocommerce-cart-form .iu-woocommerce-add-to-cart {
    margin: .6rem 0 0;
}

.cart-collaterals {
    position: sticky;
    top: 8.4rem;
    flex: 1;
    display: inline-block;
    align-self: flex-start;
}
body.admin-bar .cart-collaterals {
    top: calc(var(--wp-admin--admin-bar--height) + 8.4rem);
}
.cart-collaterals .cart_totals {
    background: var(--wp--preset--color--light-gray);
    padding: 2.1rem 2.4rem 2.4rem;
}
.cart-collaterals h2 {
    margin-top: 0;
    margin-bottom: .9rem;
    padding-bottom: 1.2rem;
    border-bottom: 1px dashed var(--wp--preset--color--primary);
}
.cart-collaterals table {
    width: 100%;
}
.cart-collaterals th, .cart-collaterals td {
    padding: .6rem 1.8rem .6rem 0;
    text-align: left;
    vertical-align: top;
}
.cart-collaterals th:last-child, .cart-collaterals td:last-child {
    text-align: right;
}
.cart-collaterals td {
    padding: .6rem 0;
}
.cart-collaterals tr.order-total th, .cart-collaterals tr.order-total td {
    border-top: 1px dashed var(--wp--preset--color--primary);
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding: 1.2rem 1.8rem 1.2rem 0;
    font-size: 1.2em;
}
.cart-collaterals tr.order-total td {
    padding: 1.2rem 0 1.2rem 0;
}
.cart-collaterals .woocommerce-shipping-methods {
    padding: 0;
    margin: 0;
}
.cart-collaterals .woocommerce-shipping-methods li {
    display: block;
}
.cart-collaterals .iu-button {
    width: 100%;
    margin-top: 1.2rem;
}

.woocommerce-checkout {
    display: flex;
    flex-wrap: wrap;
    gap: 2.1rem;
}
.woocommerce-checkout input[type=checkbox] {
    accent-color: var(--wp--preset--color--primary);
    margin: 0;
    width: 1.2rem;
    height: 1.2rem;
}
.woocommerce-checkout .woocommerce-NoticeGroup {
    width: 100%;
}
.woocommerce-checkout .woocommerce-NoticeGroup .woocommerce-error {
    display: none;
}
#customer_details {
    flex: 3;
}
#customer_details h3 {
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding-bottom: 1rem;
    margin-top: 1rem;
}
#customer_details .col-1 {
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding-bottom: 2.1rem;
}
#customer_details .shipping_address {
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding-bottom: 2.1rem;
}
.woocommerce-billing-fields__field-wrapper, .woocommerce-shipping-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}
#customer_details .form-row-first {
    width: calc((100% - 1rem) / 2);
}
#customer_details .form-row-last {
    flex: 1;
}
#customer_details .form-row-wide {
    width: 100%;
}
#customer_details .form-row.woocommerce-invalid input[type="text"],
#customer_details .form-row.woocommerce-invalid input[type="email"],
#customer_details .form-row.woocommerce-invalid input[type="tel"],
#customer_details .form-row.woocommerce-invalid input[type="number"] {
    border-color: #fe6060;
    background: #ffe6e6;
}
#customer_details .form-row .checkout-inline-error-message {
    color: #fe6060;
}
#customer_details label {
    display: block;
    font-family: var(--iu-heading-font-family);
    font-weight: 500;
}
#customer_details label span.required {
    color: var(--wp--preset--color--primary);
    font-size: 1.2em;
}
#customer_details .woocommerce-input-wrapper {
    display: block;
}
#customer_details .woocommerce-input-wrapper input[type=text],
#customer_details .woocommerce-input-wrapper input[type=email],
#customer_details .woocommerce-input-wrapper input[type=tel],
#customer_details .woocommerce-input-wrapper input[type=number],
#customer_details .woocommerce-input-wrapper textarea {
    display: block;
    font-family: var(--iu-text-font-family);
    font-size: var(--iu-text-font-size);
    line-height: var(--iu-text-line-height);
    padding: .7rem 1.2rem;
    width: 100%;
    border: 2px solid var(--wp--preset--color--light-gray);
    border-radius: 0;
    outline: 1px solid transparent;
    transition: outline .15s;
}
#customer_details p {
    margin: 0;
}
#customer_details .woocommerce-additional-fields {
    margin-top: 1.8rem;
}
.order-review {
    background: var(--wp--preset--color--light-gray);
    padding: 2.1rem 2.4rem 2.4rem;
    align-self: flex-start;
    flex: 2;
}
#customer_details .woocommerce-form__label-for-checkbox {
    display: flex;
    gap: .6rem;
    align-items: center;
}
.order-review h2 {
    margin-top: 0;
}

.woocommerce-checkout-review-order-table {
    width: 100%;
}
.woocommerce-checkout-review-order-table th {
    font-family: var(--iu-heading-font-size);
}
.woocommerce-checkout-review-order-table thead th {
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding-bottom: .6rem;
}
.woocommerce-checkout-review-order-table tr th:first-child, .woocommerce-checkout-review-order-table tr td:first-child {
    text-align: left;
}
.woocommerce-checkout-review-order-table tr th:last-child, .woocommerce-checkout-review-order-table tr td:last-child {
    text-align: right;
    width: 24%;
}
.woocommerce-checkout-review-order-table tr.cart_item td {
    padding: .45rem 0;
}
.woocommerce-checkout-review-order-table tr.cart_item:first-child td {
    padding-top: .9rem;
}
.woocommerce-checkout-review-order-table tr.cart_item:last-child td {
    padding-bottom: .9rem;
}
 .woocommerce-checkout-review-order-table tfoot tr:first-child > * {
    border-top: 1px dashed var(--wp--preset--color--primary);
    border-bottom: 1px dashed var(--wp--preset--color--primary);
    padding: .6rem 0;
}
.woocommerce-checkout-review-order-table tr.order-total > * {
    border-top: 1px dashed var(--wp--preset--color--primary);
    padding-top: .9rem;
    font-size: 1.2rem;
}

.woocommerce-checkout-review-order-table .woocommerce-shipping-totals li {
    display: block;
}
.woocommerce-checkout-review-order-table .woocommerce-shipping-methods {
    padding: 0;
    margin: .6rem 0;
}
.order-review .wc_payment_methods {
    padding: 0;
    margin: 2.4rem 0 1.8rem;
    display: flex;
    flex-direction: column;
    gap: .15rem;
}
.order-review .wc_payment_methods li {
    display: block;
    background: white;
    box-shadow: 0 .12rem .3rem rgba(0,0,0,.06);
}
.order-review .wc_payment_methods .payment_head {
    display: flex;
    padding: 1rem 1.5rem;
    align-items: center;
    gap: .6rem;
}
.order-review .wc_payment_methods .payment_head label {
    font-weight: bold;
}
.order-review .wc_payment_methods .payment_head input {
    width: 1.2rem;
    height: 1.2rem;
    margin: 0;
    accent-color: var(--wp--preset--color--primary);
    cursor: pointer;
}
.order-review .wc_payment_methods .payment_box {
    padding: 0 1.5rem;
}
.order-review .wc_payment_methods .payment_box p {
    margin-top: 0;
}
.order-review .iu-button {
    width: 100%;
    cursor: pointer;
}

.iu-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;
    z-index: -2;
}
.iu-modal.iu-modal-show {
    display: block;
    z-index: 9999999999;
    visibility: visible;
}
.iu-modal-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.3);
    opacity: 0;
    transition: opacity .3s;
}
.iu-modal-show .iu-modal-bg {
    opacity: 1;
}
.iu-modal-dialog {
    position: absolute;
    top: 10vh;
    left: calc((100% - 51rem) / 2);
    width: 51rem;
    background: white;
    padding: 2.4rem;
    box-shadow: 0 .6rem 3rem rgba(0,0,0,.3);
    transform: translateY(3rem);
    opacity: 0;
    transition: opacity .3s, transform .3s;
}
.iu-modal-show .iu-modal-dialog {
    transform: none;
    opacity: 1;
}
.iu-modal-dialog .close {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    font-size: 2rem;
    cursor: pointer;
    color: var(--wp--preset--color--primary);
    transition: color .15s;

    &:hover {
        color: var(--wp--preset--color--green);
    }
}
.iu-modal-dialog .iu-modal-header {
    text-align: center;
}
.iu-modal-dialog .iu-modal-header h2 {
    margin-top: 1.5rem;
}
.iu-modal-content {
    padding: 1.5rem 0;
}
.iu-modal-content .iu-modal-product {
    margin: 0 auto 1.5rem;
    text-align: center;
}
.iu-modal-content .iu-modal-product a {
    display: inline-flex;
    align-items: center;
    gap: 1.5rem;
    text-align: left;
}
.iu-modal-content .iu-modal-product a img {
    width: 6rem;
    height: 6rem;
}
.iu-modal-content .iu-modal-product a .product_title {
    font-size: 1.2rem;
    color: var(--iu-text-color);
}
.iu-modal-content .iu-modal-product a span.quantity {
    display: block;
    color: var(--iu-text-color);
}
.iu-modal-dialog .iu-modal-footer {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    border-top: 1px dashed var(--wp--preset--color--primary);
    padding-top: 1.5rem;
}
.iu-modal-dialog .iu-modal-footer a.back {
    cursor: pointer;
}

.pswp {
    z-index: 150000;
}

@media (max-width: 991.8px){

    .woocommerce > .products.columns-2 > .product,
    .woocommerce > .products.columns-3 > .product,
    .woocommerce > .products.columns-4 > .product {
        width: 100%;
    }

}